package com.mosty.qwzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.qwzx.TbQwJl;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 巡防排班或报备或值班-警力表(TbQwJl)表数据库访问层
 *
 * @author zhangHaiJun
 * @since 2022-07-20 15:43:32
 */
@Mapper
public interface TbQwJlMapper extends BaseMapper<TbQwJl> {

    @ApiOperation("查询所有数据")
    List<TbQwJl> queryAll();

    @ApiOperation("通过ID查询单条数据")
    TbQwJl queryById(String id);

    @ApiOperation("统计总行数")
    long count(TbQwJl tbQwJl);

    @ApiOperation("MyBatis原生foreach方法")
    int insertBatch(@Param("entities") List<TbQwJl> entities);

    @ApiOperation("批量新增或按主键更新数据（MyBatis原生foreach方法）")
    int insertOrUpdateBatch(@Param("entities") List<TbQwJl> entities);

    @ApiOperation("修改数据")
    int update(TbQwJl tbQwJl);

    @ApiOperation("通过主键删除数据")
    int deleteById(String id);

    List<Map<String, Integer>> countReportPolice(@Param("sql") String sql);

    @ApiOperation("根据ywid删除警力信息")
    void deleteByYwid(String id);

    @ApiOperation("根据业务ID查询")
    List<TbQwJl> queryListByYwid(@Param("list") List<String> list);

    @ApiOperation("查询今日警力列表")
    List<TbQwJl> getList(Map<String, Object> map);

    @ApiOperation("查询今日警力统计")
    int getCount(Map<String, Object> map);
}


